#coding:utf-8

from os.path import normpath, join
from m3_legacy import config
from django.conf import settings

DEFAULT_CONFIG = {
    ('webservice', 'SMEV_CONCENTRATOR_REG_CODE'): '',
    ('webservice', 'SMEV_CONCENTRATOR_WSDL_URL'): '',
    ('webservice', 'TNS'): '',
    ('webservice', 'ADDXSITYPE'): False,
    ('webservice', 'GET_APPQ_FULL'): True,
    ('webservice', 'SET_NOTIFICATION_TYPE'): False
}

conf = config.ProjectConfig(
    filenames=[normpath(join(settings._CONFIG_PATH, 'concentrator.conf'))],
    defaults=DEFAULT_CONFIG
)
# Код региона
SMEV_CONCENTRATOR_REG_CODE = conf.get('webservice',
                                      'SMEV_CONCENTRATOR_REG_CODE')
# Адрес концентратора для отправки справочникоа
SMEV_CONCENTRATOR_WSDL_URL = conf.get('webservice',
                                      'SMEV_CONCENTRATOR_WSDL_URL')
TNS = conf.get('webservice', 'TNS')
# Настройка для подменый неймспеса у тэга AppData
ADDXSITYPE = conf.get_bool('webservice', 'ADDXSITYPE')
# Признак отдавать или нет детальную очередт в сервисе GetApplicationQueue
GET_APPQ_FULL = conf.get_bool('webservice', 'GET_APPQ_FULL')

LOAD_DATA_TIMEOUT = conf.get_int(
    'webservice', 'LOAD_DATA_TIMEOUT') or 90

SET_NOTIFICATION_TYPE = conf.get_bool('webservice', 'SET_NOTIFICATION_TYPE')


